/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * CM_WORKTYPE(勤務形態マスタ)のDTOクラス。
 */
public class CmWorkTypeDto extends BaseDto {
	
	private static final long	serialVersionUID	= -3266050504925851651L;
	
	// フィールド
	private String				shiftcode			= "";						//勤務形態コード
	private String				shiftname			= "";						//勤務形態名称
	private int					starttime			= 0;						//出勤時刻
	private int					quittime			= 0;						//退社時刻
	private int					worktime			= 0;						//勤務時間
	private int					breaktime			= 0;						//休憩時間
	private int					overstart			= 0;						//残業開始時間
	private int					overbreak			= 0;						//残業休憩時間
	private String				option1				= "";						//オプション1
	private String				option2				= "";						//オプション2
	private String				option3				= "";						//オプション3
	private String				option4				= "";						//オプション4
	private String				option5				= "";						//オプション5
	private int					deleteflag			= 0;						//削除フラグ
																				
	
	/**
	 * コンストラクタ
	 */
	public CmWorkTypeDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return shiftcode 	勤務形態コード。
	 */
	public String getShiftCode() {
		return shiftcode;
	}
	
	/**
	 * @return shiftname 	勤務形態名称。
	 */
	public String getShiftName() {
		return shiftname;
	}
	
	/**
	 * @return starttime 	出勤時刻。
	 */
	public int getStartTime() {
		return starttime;
	}
	
	/**
	 * @return quittime 	退社時刻。
	 */
	public int getQuitTime() {
		return quittime;
	}
	
	/**
	 * @return worktime 	勤務時間。
	 */
	public int getWorkTime() {
		return worktime;
	}
	
	/**
	 * @return breaktime 	休憩時間。
	 */
	public int getBreakTime() {
		return breaktime;
	}
	
	/**
	 * @return overstart 	残業開始時間。
	 */
	public int getOverStart() {
		return overstart;
	}
	
	/**
	 * @return overbreak 	残業休憩時間。
	 */
	public int getOverBreak() {
		return overbreak;
	}
	
	/**
	 * @return option1 	オプション1。
	 */
	public String getOption1() {
		return option1;
	}
	
	/**
	 * @return option2 	オプション2。
	 */
	public String getOption2() {
		return option2;
	}
	
	/**
	 * @return option3 	オプション3。
	 */
	public String getOption3() {
		return option3;
	}
	
	/**
	 * @return option4 	オプション4。
	 */
	public String getOption4() {
		return option4;
	}
	
	/**
	 * @return option5 	オプション5。
	 */
	public String getOption5() {
		return option5;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param shiftcode 	セットする勤務形態コード。
	 */
	public void setShiftCode(String shiftcode) {
		this.shiftcode = shiftcode;
	}
	
	/**
	 * @param shiftname 	セットする勤務形態名称。
	 */
	public void setShiftName(String shiftname) {
		this.shiftname = shiftname;
	}
	
	/**
	 * @param starttime 	セットする出勤時刻。
	 */
	public void setStartTime(int starttime) {
		this.starttime = starttime;
	}
	
	/**
	 * @param quittime 	セットする退社時刻。
	 */
	public void setQuitTime(int quittime) {
		this.quittime = quittime;
	}
	
	/**
	 * @param worktime 	セットする勤務時間。
	 */
	public void setWorkTime(int worktime) {
		this.worktime = worktime;
	}
	
	/**
	 * @param breaktime 	セットする休憩時間。
	 */
	public void setBreakTime(int breaktime) {
		this.breaktime = breaktime;
	}
	
	/**
	 * @param overstart 	セットする残業開始時間。
	 */
	public void setOverStart(int overstart) {
		this.overstart = overstart;
	}
	
	/**
	 * @param overbreak 	セットする残業休憩時間。
	 */
	public void setOverBreak(int overbreak) {
		this.overbreak = overbreak;
	}
	
	/**
	 * @param option1 	セットするオプション1。
	 */
	public void setOption1(String option1) {
		this.option1 = option1;
	}
	
	/**
	 * @param option2 	セットするオプション2。
	 */
	public void setOption2(String option2) {
		this.option2 = option2;
	}
	
	/**
	 * @param option3 	セットするオプション3。
	 */
	public void setOption3(String option3) {
		this.option3 = option3;
	}
	
	/**
	 * @param option4 	セットするオプション4。
	 */
	public void setOption4(String option4) {
		this.option4 = option4;
	}
	
	/**
	 * @param option5 	セットするオプション5。
	 */
	public void setOption5(String option5) {
		this.option5 = option5;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
